Subject: Re: why still no empty directory support in git

From: David Brown <[email-masked]>
Date: Tue, 30 Dec 2008 17:06:20 -0800

On Tue, Dec 30, 2008 at 03:58:46AM -0500, Asheesh Laroia wrote:

> This is because git is removing these directories. There is a strict 
> incompatibility between git rmdir()ing empty directories behind my back and 
> Maildir systems.

So, would there be a hook that would run at all of the times git might
remove the directories, and the hook could just put them back if
missing?

The post-merge hook is certainly one place, but there are likely
others.  You might also want one in post-checkout, but I'm guessing
that switching branches is going to be less frequent in a maildir
directory.

David